Subject: bug#13837: 24.2; Make it possible to turn whitespace-mode only when there are no existing problems

From: Reuben Thomas <[email-masked]>
Date: Fri, 1 Mar 2013 22:02:00 +0000

On 28 February 2013 16:32, Stefan Monnier <[email-masked]> wrote:
>>   (add-function :after-while whitespace-enable-predicate
>>                 #'whitespace-check-cleanliness)
>
> Sorry, this should be
>
>    (add-function :after-while (default-value 'whitespace-enable-predicate)
>                  #'whitespace-check-cleanliness)

Emacs 24 doesn't seem to have add-function; copying nadvice.el into my
site-lisp directory seems to take me down the gv-ref rabbit hole (in
the sense that I tried installing it into Emacs 24 before and found I
was just copying more and more stuff from master). Do you have an
old-fashioned alternative? (Sorry, I only tried advice for the first
time, while trying to do the above hack more neatly.)

-- 
http://rrt.sc3d.org